Loading...
Searching...
No Matches
AttributeHashFilter< RandGenT, IntType > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types

using | Handle = AttributeHandle<IntType>

## Public Member Functions

| AttributeHashFilter (const size_t index, const double percentage, const unsigned int seed=0)
| AttributeHashFilter (const AttributeHashFilter &filter)
bool | initialized () const
template<typename LeafT>
void | reset (const LeafT &leaf)
template<typename IterT>
bool | valid (const IterT &iter) const

## Static Public Member Functions

static index::State | state ()
template<typename LeafT>
static index::State | state (const LeafT &)

## Member Typedef Documentation

## Handle

template<typename RandGenT, typename IntType>

using Handle = AttributeHandle<IntType>

## Constructor & Destructor Documentation

## AttributeHashFilter() [1/2]

template<typename RandGenT, typename IntType>

AttributeHashFilter | ( | const size_t | index,
|  | const double | percentage,
|  | const unsigned int | seed = 0 )

inline

## AttributeHashFilter() [2/2]

template<typename RandGenT, typename IntType>

AttributeHashFilter | ( | const AttributeHashFilter< RandGenT, IntType > & | filter | ) |

inline

## Member Function Documentation

## initialized()

template<typename RandGenT, typename IntType>

bool initialized | ( |  | ) | const

inline

## reset()

template<typename RandGenT, typename IntType>
template<typename LeafT>

void reset | ( | const LeafT & | leaf | ) |

inline

## state() [1/2]

template<typename RandGenT, typename IntType>

index::State state | ( |  | ) |

inlinestatic

## state() [2/2]

template<typename RandGenT, typename IntType>
template<typename LeafT>

index::State state | ( | const LeafT & |  | ) |

inlinestatic

## valid()

template<typename RandGenT, typename IntType>
template<typename IterT>

bool valid | ( | const IterT & | iter | ) | const

inline